<?php

/* = Netoyage du <head> */
/* ----------------------------- */
function lije_removeHeadLinks() {
    remove_action('wp_head', 'rsd_link');
    remove_action('wp_head', 'wlwmanifest_link');
}
add_action('init', 'lije_removeHeadLinks');
remove_action('wp_head', 'wp_generator');


/* = Add RSS links to <head> section */
/* ----------------------------- */
automatic_feed_links();


/* = Suprresion de l'attribut - rel="category" */
/* ----------------------------- */
add_filter( 'the_category', 'lije_add_nofollow_cat' );
function lije_add_nofollow_cat( $text ) {
    $text = str_replace('rel="category"', "", $text); return $text;
}


/* = Ajout de class sur les lien de navigation NEXT et PREV */
/* ----------------------------- */
function lije_add_class_next_post_link($html){
    $html = str_replace('<a','<a class="link-next-post"',$html);
    return $html;
}
add_filter('next_post_link','lije_add_class_next_post_link',10,1);

function lije_add_class_previous_post_link($html){
    $html = str_replace('<a','<a class="link-prev-post"',$html);
    return $html;
}
add_filter('previous_post_link','lije_add_class_previous_post_link',10,1);


/* = Supression de la balise <p> autour des images dans the-content */
/* ----------------------------- */
function lije_filter_ptags_on_images($content){
    return preg_replace('/<p>\s*(<a .*>)?\s*(<img .* \/>)\s*(<\/a>)?\s*<\/p>/iU', '\1\2\3', $content);
}
add_filter('the_content', 'lije_filter_ptags_on_images');


/* = Message custom dans le footer de l'admin */
/* ----------------------------- */
function lije_footer_admin () {
	echo 'Interface d\'administration de <strong>' . $_SERVER['HTTP_HOST'] . '</strong> - ';
}
add_filter('admin_footer_text', 'lije_footer_admin');


/* ---------------------------------------------------------- */
/* == Fonctions relatives au projet */
/* ---------------------------------------------------------- */

/* = Ajout des scripts */
/* ----------------------------- */
/* Mettre true à la fin pour le chargement dans le footer */
add_action('wp_enqueue_scripts', 'lije_scripts');
function lije_scripts() {
    /* jQuery */
    if( !is_admin()){
        wp_deregister_script('jquery');
        wp_register_script('jquery',("https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"),'','', false);
        wp_enqueue_script('jquery');
    };

    /* Modernizr */
    wp_register_script('modernizr',get_template_directory_uri() . '/js/modernizr.custom.99931.js',array('jquery'),'2.6.2',false);
    wp_enqueue_script('modernizr');

    /* Custom_script */
    wp_register_script('custom_script',get_template_directory_uri() . '/js/custom_script.js',array('jquery'),'1.0',false);
    wp_enqueue_script('custom_script');
}


/* = Ajout du spport des miniatures */
/* ----------------------------- */
if ( function_exists( 'add_image_size' ) ) add_theme_support( 'post-thumbnails' );


/* ---------------------------------------------------------- */
/* == Ajout du support des menus personnalisés */
/* ---------------------------------------------------------- */
add_action( 'init', 'register_my_menus' );
function register_my_menus() {
    register_nav_menus(
        array(
            'top-navigation' => 'Menu_principal'
            )
        );
}


/* = Ajout du support de la sidebar widgetisable */
/* ----------------------------- */
if (function_exists('register_sidebar')) {
    register_sidebar(array(
        'name'          => 'Sidebar Widgets',
        'id'            => 'sidebar',
        'description'   => 'Placer ici les widgets pour la barre latérale.',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4>',
        'after_title'   => '</h4>'
        ));
}


/* = Ajout de la pagination : palcer <?php lije_pagination();  dans le thème */
/* ----------------------------- */
function lije_pagination(){
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    $pagination = array(
        'base'      => @add_query_arg('page','%#%'),
        'format'    => '',
        'total'     => $wp_query->max_num_pages,
        'current'   => $current,
        'show_all'  => false,
        'end_size'  => 1,
        'mid_size'  => 2,
        'type'      => 'list',
        'next_text' => '&rang;',
        'prev_text' => '&lang;'
        );
    if( $wp_rewrite->using_permalinks() )
        $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
    if( !empty($wp_query->query_vars['s']) )
        $pagination['add_args'] = array( 's' => get_query_var( 's' ) );
    echo str_replace('page/1/','', paginate_links( $pagination ));
}

/* = Nettoyage de la zone d'administration pour les auteurs */
/* ----------------------------- */
function change_author_capabilities() { 
    $role = get_role('author');
    $role->remove_cap('edit_published_posts');
    $role->remove_cap('publish_posts');
    $role->remove_cap('delete_published_posts');
    $role->remove_cap('edit_posts');
    $role->remove_cap('delete_posts');
    $role->add_cap('upload_files');
    $role->add_cap('edit_pages');
    $role->add_cap('edit_others_pages');
    $role->add_cap('edit_published_pages');
}
add_action('admin_init', 'change_author_capabilities');

/* = Nettoyage du menu gauche de la zone d'administration */
/* ----------------------------- */
function  remove_menu_items() {
    remove_menu_page('index.php');
    remove_menu_page('separator1'); 
    remove_menu_page('upload.php');
}
add_action('admin_menu', 'remove_menu_items');

/* = Modification de la page d'accueil de la zone d'administration */
/* ----------------------------- */
function  change_landing_page() {
    return admin_url('edit.php?post_type=page');
}
add_filter('login_redirect', 'change_landing_page');

/* = Personnaliser le style de la zone d'administration */
/* ----------------------------- */
function add_custom_style() {
    wp_enqueue_style( 'custom-admin3', get_bloginfo('template_url') . '/css/wp-admin.css', false, '1.0' );
    wp_enqueue_style( 'custom-admin4', get_bloginfo('template_url') . '/css/buttons.css', false, '1.0' );
}
add_action( 'admin_enqueue_scripts', 'add_custom_style' );

?>