<!DOCTYPE html>

<!--[if lt IE 7 ]> <html class="is-ie6 lt-ie9 lt-ie8 lt-ie7 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]>    <html class="is-ie7 lt-ie9 lt-ie8 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]>    <html class="is-ie8 lt-ie9 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9 ]>    <html class="is-ie9 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!--><html class="no-js" <?php language_attributes(); ?>><!--<![endif]-->

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <?php if (is_search()) { ?>
       <meta name="robots" content="noindex, nofollow" />
    <?php } ?>

    <title><?php
            if (function_exists('is_tag') && is_tag()) { single_tag_title("Tag Archive for &quot;"); echo '&quot; - '; }
            elseif (is_archive()) { wp_title(''); echo ' Archive - '; }
            elseif (is_search()) { echo 'Search for &quot;'.wp_specialchars($s).'&quot; - '; }
            elseif (!(is_404()) && (is_single()) || (is_page())) { wp_title(''); echo ' - '; }
            elseif (is_404()) { echo 'Not Found - '; }
            if (is_home()) { bloginfo('name'); echo ' - '; bloginfo('description'); }
            else { bloginfo('name'); }
            if ($paged>1) { echo ' - page '. $paged; }
        ?></title>
    <meta name="description" content="<?php bloginfo('description'); ?>">

    <!-- Renseigner le numéro d'identification fourni par Google -->
    <meta name="google-site-verification" content="">

    <meta name="author" content="Laurent Sutterlity">

    <!-- The Open Graph protocol : http://ogp.me/ -->
    <meta property="og:type" content="website" />
    <meta property="og:title" content="<?php bloginfo('name'); ?>" />
    <meta property="og:url" content="<?php echo get_option('home'); ?>/" />
    <meta property="og:image:type" content="<?php bloginfo('template_directory'); ?>/screenshot.png" />
    <meta property="og:image:width" content="300" />
    <meta property="og:image:height" content="225" />

    <link rel="profile" href="http://gmpg.org/xfn/11" />
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="apple-touch-icon" href="<?php bloginfo('template_directory'); ?>/_/img/apple-touch-icon.png">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

    <!-- CSS -->
    <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" />

    <?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

    <?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
    <div id="page-wrap">
        <header id="header" role="banner">
            <h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
            <div class="description"><?php bloginfo('description'); ?></div>
        </header>

        <nav id="access" class="clearfix" role="navigation">
            <?php wp_nav_menu( array( 'container' => '','menu_id' => 'primary-nav', 'theme_location' => 'top-navigation' ) ); ?>
        </nav>